  import request from "@/utils/request";

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid,
  };
  return request({
    url: "/login",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 注册方法
export function register(data) {
  return request({
    url: "/register",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: "/getInfo",
    method: "get",
  });
}

// 退出方法
export function logout() {
  return request({
    url: "/admin/auth/login/out",
    method: "post",
  });
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: "/captchaImage",
    headers: {
      isToken: false,
    },
    method: "get",
    timeout: 20000,
  });
}

// 短信验证码
export function getCodeSms() {
  return request({
    url: "/captchaSms",
    headers: {
      isToken: false,
    },
    method: "get",
    timeout: 20000,
  });
}

// 获取注册短信手机验证码
export function getCheckcode(data) {
  return request({
    url: "/admin/auth/register/getCheckcode",
    method: "post",
    data,
  });
}
//验证验证码
export function checkCode(data) {
  return request({
    url: "/admin/auth/register/checkCode",
    method: "post",
    data,
  });
}

//注册信息提交(新注册，修改)
export function registerSave(data) {
  return request({
    url: " /admin/auth/register/save",
    method: "post",
    data,
  });
}

  //加密解密
  export function encrypts(data) {
    return request({
      url: "/admin/auth/register/encrypt",
      method: "post",
      data :data
    });
  }

